%define upstream_name    Hijk
%define upstream_version 0.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Specialized HTTP client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Net::Ping) >= 2.410.0
BuildRequires: perl(Net::Server::HTTP)
BuildRequires: perl(Plack)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(inc::Module::Install)
BuildArch:  noarch

%{?perl_default_filter}

%description
Hijk is a specialized HTTP Client that does nothing but transport the
response body back. It does not feature as a "user agent", but as a dumb
client. It is suitable for connecting to data servers transporting via HTTP
rather then web servers.

Most of HTTP features like proxy, redirect, Transfer-Encoding, or SSL are
not supported at all. For those requirements we already have many good HTTP
clients like the HTTP::Tiny manpage, the Furl manpage or the LWP::UserAgent
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.280.0-2.mga8
+ Revision: 1522042
- Mageia 8 Mass Rebuild

* Tue Jan 15 2019 tv <tv> 0.280.0-1.mga7
+ Revision: 1357168
- BR perl(Net::Server::HTTP)
- BR perl(Module::Build::Tiny)
- update to 0.28

* Thu Sep 20 2018 umeabot <umeabot> 0.270.0-2.mga7
+ Revision: 1284287
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 sander85 <sander85> 0.270.0-1.mga7
+ Revision: 1132954
- update to 0.27

* Sun Jun 19 2016 pterjan <pterjan> 0.260.0-2.mga6
+ Revision: 1028209
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.260.0-1.mga6
+ Revision: 923773
- update to 0.26

* Mon Jul 06 2015 sander85 <sander85> 0.240.0-1.mga6
+ Revision: 852216
- update to 0.24

* Wed Jun 24 2015 shlomif <shlomif> 0.220.0-1.mga6
+ Revision: 842287
- New version 0.22 + Rebuild for the new perl-5.22.0
- New version 0.22 + Rebuild for the new perl-5.22.0

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 748130
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.130.0-3.mga5
+ Revision: 733059
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-2.mga5
+ Revision: 685039
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 0.130.0-1.mga5
+ Revision: 634122
- imported package perl-Hijk


* Fri Jun 06 2014 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
